Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.command
Class ExecuteHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteAMFHandler, ExecuteJavaByClassNameHandler, ExecuteJavaHandler, ExecuteParameterHandler

    public abstract class ExecuteHandler

extends ResourceHandler

The Class ExecuteHandler.

Constructor Summary
`ExecuteHandler(boolean headless)` Instantiates a new execute handler.

Method Summary
`protected EclipseEscapeRunner` | `createRunner()` Creates the runner.
`void` | `execute(java.lang.Object executed, java.lang.String name)` Starts a new job with a `EclipseEscapeRunner` that executes the scape.
`protected abstract void` | `executeOpen(EclipseEscapeRunner eclipseRunner, java.lang.Object executed, org.eclipse.core.runtime.IProgressMonitor monitor)` Execute open.
`protected abstract boolean` | `handleSelect(java.lang.Object sel)` Handle select.
`boolean` | `isHeadless()`
`void` | `setEnabled(java.lang.Object evaluationContext)`
`void` | `setHeadless(boolean headless)`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteHandler

    public ExecuteHandler(boolean headless)

  Instantiates a new execute handler.

  Parameters:
    `headless` - the headless

Method Detail

### execute

    public final void execute(java.lang.Object executed,
                              java.lang.String name)
                       throws org.eclipse.core.commands.ExecutionException

  Starts a new job with a `EclipseEscapeRunner` that executes the scape.

  Overrides:
    `execute` in class `ResourceHandler`
  Parameters:
    `executed` - scape resource/class name to execute
    `name` - scape name
  Throws:
    `org.eclipse.core.commands.ExecutionException` - if problem executing

### executeOpen

    protected abstract void executeOpen(EclipseEscapeRunner eclipseRunner,
                                        java.lang.Object executed,
                                        org.eclipse.core.runtime.IProgressMonitor monitor)

  Execute open.

  Parameters:
    `eclipseRunner` - the eclipse runner
    `executed` - the executed scape resource/name
    `monitor` - the monitor

### createRunner

    protected EclipseEscapeRunner createRunner()

  Creates the runner.

  Returns:
    the eclipse escape runner

### setEnabled

    public void setEnabled(java.lang.Object evaluationContext)

  Specified by:
    `setEnabled` in interface `org.eclipse.core.commands.IHandler2`
  Overrides:
    `setEnabled` in class `org.eclipse.core.commands.AbstractHandler`

### handleSelect

    protected abstract boolean handleSelect(java.lang.Object sel)

  Handle select.

  Parameters:
    `sel` - the sel
  Returns:
    true, if successful

### setHeadless

    public void setHeadless(boolean headless)

### isHeadless

    public boolean isHeadless()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD